package de.intevation.gnv.state;

/**
 * This is the default implementation of <code>ExportMode</code>.
 * 
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultExportMode
implements   ExportMode
{
    /**
     * The name of the export (e.g. pdf, svg, image).
     */
    protected String name;

    /**
     * A description for this export.
     */
    protected String description;

    /**
     * The mimetype used to do execute this export.
     */
    protected String mimeType;

    /**
     * Constructor.
     *
     * @param name
     * @param description
     * @param mimeType
     */
    public DefaultExportMode(String name, String description, String mimeType){
        this.name        = name;
        this.description = description;
        this.mimeType    = mimeType;
    }

    /**
     *
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     *
     * @return
     */
    public String getDescription() {
        return description;
    }

    /**
     *
     * @return
     */
    public String getMimeType() {
        return mimeType;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
